pidgin 2.14.5

Data Fields
_PurpleRoomlist Struct Reference

Data Structures
More...

`#include <roomlist.h>`

## Data Fields
PurpleAccount * | account
| The account this list belongs to.
GList * | fields
| The fields.
GList * | rooms
| The list of rooms.
gboolean | in_progress
| The listing is in progress.
gpointer | ui_data
| UI private data.
gpointer | proto_data
guint | ref
| Prpl private data. More...

## Detailed Description

Data Structures

Represents a list of rooms for a given connection on a given protocol.

Definition at line 69 of file roomlist.h.

## Field Documentation

## ◆ ref

guint _PurpleRoomlist::ref

Prpl private data.

The reference count.

Definition at line 76 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h